# GearmanWorker::setOptions

(PECL gearman >= 0.5.0)

GearmanWorker::setOptions — Establece las opciones del trabajador

### Descripción

public GearmanWorker::setOptions(int `$option`): bool

Establece una o más opciones para el valor dado.

### Parámetros

`option`

  Las opciones a establecer

### Valores devueltos

Siempre retorna `true`.

### Ver también

- GearmanWorker::options() - Retorna las opciones del trabajador
- GearmanWorker::addOptions() - Añade opciones al trabajador
- GearmanWorker::removeOptions() - Elimina las opciones del trabajador
- GearmanClient::setOptions() - Establece opciones del cliente